Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
[Java] Class JavadocOptionFile

    java.lang.Object
      org.gradle.external.javadoc.optionfile.JavadocOptionFile

    public class JavadocOptionFile

Authors:
  Tom Eyckmans

Constructor Summary
`JavadocOptionFile()`

Method Summary
`JavadocOptionFileOption` | `addBooleanOption(java.lang.String option)`
`JavadocOptionFileOption` | `addBooleanOption(java.lang.String option, boolean value)`
`JavadocOptionFileOption` | `addEnumOption(java.lang.String option)`
`JavadocOptionFileOption` | `addEnumOption(java.lang.String option, T value)`
`JavadocOptionFileOption` | `addFileOption(java.lang.String option)`
`JavadocOptionFileOption` | `addFileOption(java.lang.String option, java.io.File value)`
`JavadocOptionFileOption` | `addMultilineStringsOption(java.lang.String option)`
`JavadocOptionFileOption` | `addOption(JavadocOptionFileOption option)`
`JavadocOptionFileOption` | `addPathOption(java.lang.String option)`
`JavadocOptionFileOption` | `addPathOption(java.lang.String option, java.lang.String joinBy)`
`JavadocOptionFileOption` | `addStringOption(java.lang.String option)`
`JavadocOptionFileOption` | `addStringOption(java.lang.String option, java.lang.String value)`
`JavadocOptionFileOption` | `addStringsOption(java.lang.String option)`
`JavadocOptionFileOption` | `addStringsOption(java.lang.String option, java.lang.String joinBy)`
`OptionLessJavadocOptionFileOption` | `getSourceNames()`
`void` | `write(java.io.File optionFile)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### JavadocOptionFile

    public JavadocOptionFile()

Method Detail

### addBooleanOption

    public JavadocOptionFileOption addBooleanOption(java.lang.String option)

### addBooleanOption

    public JavadocOptionFileOption addBooleanOption(java.lang.String option, boolean value)

### addEnumOption

    public JavadocOptionFileOption addEnumOption(java.lang.String option)

### addEnumOption

    public JavadocOptionFileOption addEnumOption(java.lang.String option, T value)

### addFileOption

    public JavadocOptionFileOption addFileOption(java.lang.String option)

### addFileOption

    public JavadocOptionFileOption addFileOption(java.lang.String option, java.io.File value)

### addMultilineStringsOption

    public JavadocOptionFileOption addMultilineStringsOption(java.lang.String option)

### addOption

    public JavadocOptionFileOption addOption(JavadocOptionFileOption option)

### addPathOption

    public JavadocOptionFileOption addPathOption(java.lang.String option)

### addPathOption

    public JavadocOptionFileOption addPathOption(java.lang.String option, java.lang.String joinBy)

### addStringOption

    public JavadocOptionFileOption addStringOption(java.lang.String option)

### addStringOption

    public JavadocOptionFileOption addStringOption(java.lang.String option, java.lang.String value)

### addStringsOption

    public JavadocOptionFileOption addStringsOption(java.lang.String option)

### addStringsOption

    public JavadocOptionFileOption addStringsOption(java.lang.String option, java.lang.String joinBy)

### getSourceNames

    public OptionLessJavadocOptionFileOption getSourceNames()

### write

    public void write(java.io.File optionFile)

Groovy Documentation